get-service | select-object name, status | foreach-object  {      
    if ($_.status -eq "running")
      {write-host $_.name -foregroundcolor "green"}
    elseif ($_.status -eq "stopped")
      {write-host $_.name -foregroundcolor "red"}
    else
      {write-host $_.name}
   }